# Class AbstractAction

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `CheckDirty, Copy, CreateFunctionDialog, Cut, Duplicate, Move, Paste, RemoteStart, ResetSearchCommand, SearchTreeCommand, Start, StopStoppables, TemplatesCommand`

public abstract class AbstractAction extends Object implements Command

## Constructor Summary

Constructors
Constructor
Description
`AbstractAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`abstract Set<String>`
`getActionNames()`
`protected void`
`popupShouldSave(ActionEvent e)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractAction

public AbstractAction()

## Method Details

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
See Also:
  - `Command.doAction(ActionEvent)`

### getActionNames

public abstract Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`
See Also:
  - `Command.getActionNames()`

### popupShouldSave

protected void popupShouldSave(ActionEvent e)

Parameters:
  `e` - the event that led to the call of this method